Page MenuHomePhabricator

[Story] Ability to have [[Special:UnconnectedPages]] filter by namespace
Closed, ResolvedPublic

Description

It would be useful to have the ability for [[Special:UnconnectedPages]] to be able to be filtered by namespace.

At present it appears to sort by {namespace number, "[0-9][a-z]} with main namespace first, and in English Wikisource that is less than convenient at this point in time (lots of subpages of works there). I have to use an offset of 321000 to get to the Author: ns pages.

https://en.wikisource.org/w/index.php?title=Special:UnconnectedPages/&limit=500&offset=321000

As an aside The list also shows pages in namespaces that have been determined will not be listed in WD. For enWS, an example is the Page: ns. Not sure hwo easy/hard it would be able to configure something to ignore ruled out nss.

Thanks.

Details

Reference
bz66153

Event Timeline

bzimport raised the priority of this task from to Low.
bzimport set Reference to bz66153.
bzimport added a subscriber: Unknown Object (MLST).

Smart thinking (with elements of "d'oh!")

Then maybe we would do well to try and have something as default text added into [[MediaWiki:wikibase-unconnectedpages-summary]] that maybe automatically populate local user namespaces with their local names done dynamically.

Having something helpful that locals can better adapt is better than nothing (IMNSHO).

FWIW I now have

<!-- Transcludes into [[Special:UnconnectedPages]]-->
At present there is no ability to filter by namespace, so these are pointers to the start of relevant namespace sections
<div class="hlist plainlinks">

  • [{{fullurl:{{FULLPAGENAME}}|page=Category:-}} Category]
  • [{{fullurl:{{FULLPAGENAME}}|page=Portal:-}} Portal]
  • [{{fullurl:{{FULLPAGENAME}}|page=Author:-}} Author]

</span>

Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Lydia_Pintscher raised the priority of this task from Low to Normal.May 15 2015, 1:09 PM
555 added a subscriber: 555.Jul 5 2015, 1:40 PM

Unfortunately this don't work anymore. There is any special reason for removing a feature instead of improving it?

Restricted Application added a subscriber: Luke081515. · View Herald TranscriptJul 5 2015, 1:40 PM

@555 I suppose all removed functionalities will return back when all developers' work is done. I'm not happy about this either, however the page is now sorted by page_id rather then page_title.

Yes. As I announced we needed to remove those features because their performance was so bad that it could have become an attack vector. Fixing this had highest priority. We're tracking bringing back features at T102816.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 27 2015, 5:48 AM
Jonas renamed this task from Ability to have [[Special:UnconnectedPages]] filter by namespace to [Story] Ability to have [[Special:UnconnectedPages]] filter by namespace.Aug 13 2015, 6:58 PM
Jonas set Security to None.

Change 233325 had a related patch set uploaded (by Ricordisamoa):
[WIP] Add namespace selector to Special:UnconnectedPages

https://gerrit.wikimedia.org/r/233325

matej_suchanek assigned this task to Ricordisamoa.

Change 233325 merged by jenkins-bot:
Add namespace selector to Special:UnconnectedPages

https://gerrit.wikimedia.org/r/233325

Ricordisamoa removed a subscriber: gerritbot.

I don't think the new feature will have any noticeable performance impact since pages were already being filtered by namespace.

Ricordisamoa closed this task as Resolved.Sep 14 2015, 10:58 PM

Reopen if I missed something.